pandoc-lua-marshal-0.3.0: Use pandoc types in Lua

Copyright | © 2021-2024 Albert Krewinkel
License | MIT
Maintainer | Albert Krewinkel <tarleb+pandoc@moltkeplatz.de>
Safe Haskell | None
Language | Haskell2010

Text.Pandoc.Lua.Marshal.TableParts

Contents

- Constructors

Description

Marshaling/unmarshaling functions of types that are used exclusively with tables.

Synopsis

- peekColSpec :: LuaError e => Peeker e ColSpec
- pushColSpec :: LuaError e => Pusher e ColSpec
- peekRow :: LuaError e => Peeker e Row
- peekRowFuzzy :: LuaError e => Peeker e Row
- pushRow :: LuaError e => Row -> LuaE e ()
- peekTableBody :: LuaError e => Peeker e TableBody
- pushTableBody :: LuaError e => Pusher e TableBody
- peekTableFoot :: LuaError e => Peeker e TableFoot
- pushTableFoot :: LuaError e => TableFoot -> LuaE e ()
- peekTableHead :: LuaError e => Peeker e TableHead
- pushTableHead :: LuaError e => TableHead -> LuaE e ()
- mkRow :: LuaError e => DocumentedFunction e
- mkTableFoot :: LuaError e => DocumentedFunction e
- mkTableHead :: LuaError e => DocumentedFunction e

# Documentation

peekColSpec :: LuaError e => Peeker e ColSpec #

Peek a ColSpec value as a pair of Alignment and ColWidth.

pushColSpec :: LuaError e => Pusher e ColSpec #

Push a ColSpec value as a pair of Alignment and ColWidth.

peekRow :: LuaError e => Peeker e Row #

Retrieves a `Cell` object from the stack.

peekRowFuzzy :: LuaError e => Peeker e Row #

Retrieves a `Cell` from the stack, accepting either a 'pandoc Cell' userdata object or a table with fields `attr`, `alignment`, `row_span`, `col_span`, and `contents`.

pushRow :: LuaError e => Row -> LuaE e () #

Push a table Row as a table with fields `attr`, `alignment`, `row_span`, `col_span`, and `contents`.

peekTableBody :: LuaError e => Peeker e TableBody #

Retrieves a `TableBody` value from a Lua table with fields `attr`, `row_head_columns`, `head`, and `body`.

pushTableBody :: LuaError e => Pusher e TableBody #

Pushes a `TableBody` value as a Lua table with fields `attr`, `row_head_columns`, `head`, and `body`.

peekTableFoot :: LuaError e => Peeker e TableFoot #

Retrieves a `Cell` from the stack.

pushTableFoot :: LuaError e => TableFoot -> LuaE e () #

Push a TableFoot as a userdata value.

peekTableHead :: LuaError e => Peeker e TableHead #

Retrieves a `Cell` from the stack.

pushTableHead :: LuaError e => TableHead -> LuaE e () #

Push a TableHead as a userdata value.

# Constructors

mkRow :: LuaError e => DocumentedFunction e #

Constructor function for `Row` values.

mkTableFoot :: LuaError e => DocumentedFunction e #

Constructor function for `Row` values.

mkTableHead :: LuaError e => DocumentedFunction e #

Constructor function for `Row` values.